<?php
/**
 * Enqueue styles
 */
function enqueue_styles() {
	wp_enqueue_style('font', 			'https://fonts.googleapis.com/css?family=Abel', array(), '1', 'all');
	wp_enqueue_style('font-awesome', 	'https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css', array(), '1', 'all');
	wp_enqueue_style('bootstrap', 		THEME_URL . '/assets/bootstrap/css/bootstrap.min.css', array(), '1', 'all');
	wp_enqueue_style('main', 			THEME_URL . '/assets/css/main.css', array(), '1', 'all');
}
add_action('wp_enqueue_scripts', 'enqueue_styles');

/**
 * Enqueue scripts
 */
function enqueue_scripts() {
	wp_enqueue_script('cycle',			THEME_URL . '/assets/js/vendor/cycle2/jquery.cycle2.min.js', array('jquery'), '1', false);
	wp_enqueue_script('cycle-swipe',	THEME_URL . '/assets/js/vendor/cycle2/jquery.cycle2.swipe.min.js', array('jquery'), '1', false);
	wp_enqueue_script('main',			THEME_URL . '/assets/js/main.js', array('jquery'), '1', false);
}
add_action('wp_enqueue_scripts', 'enqueue_scripts');

function custom_jquery_cdn() {
	wp_deregister_script('jquery');
	wp_enqueue_script('jquery', "https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js", false, null);
}
if (!is_admin()) add_action("wp_enqueue_scripts", "custom_jquery_cdn", 11);